import { oldBaseFetch, baseFetch, ResponseDataEntity } from './index';

type LoginPramas = {
  code: string;
};
type LoginReponseData = {
  registed: boolean;
  token: string;
};
export interface LoginReponse extends ResponseDataEntity<LoginReponseData> {
  data: LoginReponseData;
}

export const login = (data: LoginPramas) =>
  oldBaseFetch({
    url: '/wx/api/user/login2',
    data: data,
  });

export const fetchValidateCode = () =>
  oldBaseFetch({
    url: '/wx/api/getValidateCode',
  });

type ImageVcodePramas = {
  effective?: number;
  loginName: string;
  codeNum?: number;
};
export const getImageVcode = (data: ImageVcodePramas) =>
  baseFetch({
    url: `/common/getCode?loginName=${data.loginName}&codeNum=4`,
    method: 'POST',
    data: data,
  });

export const getVcode = entity =>
  oldBaseFetch({
    url: '/wx/api/getValidateCode',
    method: 'POST',
    data: entity,
  });

type RegisiterPramas = {};
// type RegisiterReponseData = {};

export const fetchWxUserRegister = (entity: RegisiterPramas) =>
  baseFetch({
    url: '/wx/api/user/regisiter2',
    method: 'POST',
    data: entity,
  });
