import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Text, Image, Button } from '@tarojs/components';

import OrderTitle from '../components/OrderTitle/OrderTitle';
import OrderInfo from '../components/OrderInfo/OrderInfo';
import payWayLogo from '../../../images/order/pay_wechat_icon@2x.png';
import { fetchOrderDetail } from '../../../api/order';

import './OrderPay.scss';

type PageProps = {};
type PageState = {
  prePay: boolean;
};

interface OrderPay {
  props: PageProps;
  state: PageState;
}

class OrderPay extends Component {
  config: Config = {
    navigationBarTitleText: '订单支付',
  };
  constructor(props) {
    super(props);
    this.state = {
      prePay: true,
    };
  }

  componentWillMount() {
    console.log('preload: ', this.$router.preload);
    // const { id } = this.$router.preload;
  }
  changePayState() {
    this.setState({
      prePay: false,
    });
  }

  callNativePay() {}

  render() {
    const { prePay } = this.state;
    return (
      <View className='OrderPay topBr'>
        <OrderTitle />
        <OrderInfo />
        <View className='OrderPay-line' />
        {prePay ? (
          <View className='OrderPay-payway'>
            <Image className='OrderPay-icon' src={payWayLogo} />
            <Text className='OrderPay-text'>微信支付</Text>
            <View className='OrderPay-check checked' />
          </View>
        ) : (
          <View>
            <View className='OrderPay-payinfo'>
              <Text>订单金额</Text>
              <Text>0.12</Text>
            </View>
            <View className='OrderPay-payinfo'>
              <Text>吹风豆抵扣金额（余额:8.00）</Text>
              <Text>0.12</Text>
            </View>
            <View className='OrderPay-DeductionInfo'>
              豆抵扣总消费额的20%，不满0.01元，累计算1分
            </View>
            <View className='OrderPay-payinfo'>
              <Text>微信支付金额</Text>
              <Text>0.09</Text>
            </View>
          </View>
        )}
        {prePay ? (
          <Button
            className='button OrderPay-next'
            onClick={this.changePayState}>
            下一步
          </Button>
        ) : (
          <Button className='button OrderPay-next' onClick={this.callNativePay}>
            确认支付
          </Button>
        )}
      </View>
    );
  }
}

export default OrderPay as ComponentClass<PageProps, PageState>;
