import { ComponentClass } from 'react';
import Taro, { Component } from '@tarojs/taro';
import { View, Text, Image } from '@tarojs/components';
import payDoneImg from '../../../../images/order/dingdan_yiwancheng_img@2x.png';
import './OrderItem.scss';

type OrderItemProps = {
  id: number;
  orderState: string;
};

type PageOwnProps = {
  data: OrderItemProps;
  onPayHandle: (data: OrderItemProps) => void;
};
type PageState = {};

interface OrderItem {
  props: PageOwnProps;
  state: PageState;
}

class OrderItem extends Component {
  static defaultProps = {
    data: {
      id: 0,
      orderState: '1',
    },
  };
  clickHandle() {
    const { onPayHandle, data } = this.props;
    onPayHandle(data);
  }

  render() {
    const {
      data: { orderState },
    } = this.props;
    return (
      <View className='OrderItem'>
        <View className='OrderItem-text'>
          <Text>消费说明：</Text>
          <Text>饮水消费</Text>
        </View>
        <View className='OrderItem-text'>
          <Text>消费时间：</Text>
          <Text>2018-12-01 17:30:23</Text>
          {orderState === '1' ? (
            <View className='OrderItem-toPay' onClick={this.clickHandle}>
              去支付 >
            </View>
          ) : (
            <Image className='OrderItem-payDone' src={payDoneImg} />
          )}
        </View>
        <View
          className={`OrderItem-price ${orderState === '1' ? 'topay' : ''}`}>
          ￥ 0.12
        </View>
      </View>
    );
  }
}

export default OrderItem as ComponentClass<PageOwnProps, PageState>;
