import { Component, Config } from '@tarojs/taro';
import { ComponentClass } from 'react';
import { View, Image, Text, Input, Picker, Button } from '@tarojs/components';

import HeaderIcon from '../../images/home/img_girl_touxiang@2x.png';
import InfoIcon from '../../images/user/pc_minel_icon@2x.png';
import SchoolIcon from '../../images/user/pc_school_icon@2x.png';
import radioIcon from '../../images/login/pc_nor_icon@2x.png';
import radioCheckIcon from '../../images/login/pc_sel_icon@2x.png';
import './UserSetting.scss';

type PageOwnProps = {};
type PageState = {
  birthday: string;
  sex: string;
};

interface UserSetting {
  props: PageOwnProps;
  state: PageState;
}

class UserSetting extends Component {
  config: Config = {
    navigationBarBackgroundColor: '#6180f4',
    navigationBarTitleText: '',
  };
  constructor(props) {
    super(props);
    this.state = {
      birthday: '1945-10-01',
      sex: 'Male',
    };
  }

  setSex(sex: string) {}

  updateBirthday() {}

  render() {
    const { sex, birthday } = this.state;
    return (
      <View className='UserSetting'>
        <View className='UserSetting-Header'>
          <View className='UserSetting-HeaderIconBox'>
            <Image className='UserSetting-HeaderIcon' src={HeaderIcon} />
          </View>
        </View>
        <View className='UserSetting-name'>小众</View>
        <View className='UserSetting-Content'>
          <View className='UserSetting-title'>
            <Image className='UserSetting-titleIcon' src={InfoIcon} />
            <Text>我的信息</Text>
            <View className='UserSetting-titleLine' />
          </View>
          <View className='UserSetting-ContentItem'>
            <Text>姓名：</Text>
            <Input className='UserSetting-ContentItem-input' value={'ds'} />
          </View>
          <View className='UserSetting-ContentItem'>
            <Text>性别：</Text>
            <View className='loginBox-input sexBox'>
              <View
                className='sexBox-item'
                onClick={() => this.setSex('Female')}>
                {sex === 'Female' ? (
                  <Image className='sexBox-icon' src={radioCheckIcon} />
                ) : (
                  <Image className='sexBox-icon' src={radioIcon} />
                )}
                <Text>女</Text>
              </View>
              <View className='sexBox-item' onClick={() => this.setSex('Male')}>
                {sex === 'Male' ? (
                  <Image className='sexBox-icon' src={radioCheckIcon} />
                ) : (
                  <Image className='sexBox-icon' src={radioIcon} />
                )}
                <Text>男</Text>
              </View>
            </View>
          </View>
          <View className='UserSetting-ContentItem'>
            <Text>出生日期：</Text>
            <Picker value={birthday} mode='date' onChange={this.updateBirthday}>
              <View>{birthday}</View>
            </Picker>
          </View>
          <View className='UserSetting-ContentItem Disabled'>
            <Text>多彩账号：</Text>
            <Text>15961654</Text>
          </View>
          <View className='UserSetting-ContentItem Disabled'>
            <Text>设备账号：</Text>
            <Text>1855</Text>
          </View>
          <View className='UserSetting-title'>
            <Image className='UserSetting-titleIcon' src={SchoolIcon} />
            <Text>学校信息</Text>
            <View className='UserSetting-titleLine' />
          </View>
          <View className='UserSetting-ContentItem Disabled'>
            <Text>学校：</Text>
            <Text>1855</Text>
          </View>
          <View className='UserSetting-ContentItem'>
            <Text>学号：</Text>
            <Input className='UserSetting-ContentItem-input' value={'ds'} />
          </View>
          <View className='UserSetting-ContentItem'>
            <Text>入学日期：</Text>
            <Text>2019-05-30</Text>
          </View>
        </View>
        <Button className='UserSetting-save'>保存</Button>
      </View>
    );
  }
}

export default UserSetting as ComponentClass<PageOwnProps, PageState>;
