import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View } from '@tarojs/components';

import './index.scss';
import { login, LoginReponse } from '../../api/wx';
import { connect } from '@tarojs/redux';

import { updateUserInfo, UserState } from '../../store/rootReducers/userinfo';

type PageDispatchProps = {
  updateUserInfo: (e: UserState) => void;
};

type PageOwnProps = {};

type PageState = {};

type IProps = PageDispatchProps & PageOwnProps;

interface Index {
  props: IProps;
  state: PageState;
}

@connect(
  () => ({}),
  dispatch => ({
    updateUserInfo(entity: UserState) {
      dispatch(updateUserInfo(entity));
    },
  }),
)
class Index extends Component {
  config: Config = {};

  constructor(props: IProps) {
    super(props);
  }

  componentWillMount() {
    Taro.showLoading();
    this.checkUser();
  }

  checkUser() {
    Taro.getStorage({
      key: 'token',
    })
      .then(res => {
        const data = res.data;
        const userInfo = Taro.getStorageSync('userInfo');
        console.log('token ' + data);
      })
      .catch(() => {
        this.loginHandle();
      });
  }

  loginHandle() {
    const { updateUserInfo } = this.props;
    Taro.login()
      .then(res => {
        console.log(res);
        login({
          code: res.code,
        })
          .then((res: LoginReponse) => {
            const { registed, token } = res.data;
            if (registed) {
              Taro.setStorage({ key: 'token', data: token });
              Taro.setStorage({ key: 'userInfo', data: token });
              Taro.redirectTo({
                url: '/pages/Home/Home',
              });
            } else {
              updateUserInfo({
                token: token,
              });
              Taro.hideLoading();
              Taro.redirectTo({
                url: '/pages/Login/Login',
              });
            }
          })
          .catch(err => {
            console.log(err);
          });
      })
      .catch(err => {
        console.log(err);
      });
  }

  render() {
    return <View className='Index' />;
  }
}

export default Index as ComponentClass<PageOwnProps, PageState>;
